Package org.eclipse.jdt.launching

# Interface IVMInstallChangedListener

public interface IVMInstallChangedListener
A VM install changed listener is notified when the workspace default VM install changes, or when an attribute of a specific VM install changes. Listeners register with `JavaRuntime`.

Clients may implement this interface.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_INSTALL_LOCATION`
Property constant indicating the install location of a VM install has changed.
`static final String`
`PROPERTY_JAVADOC_LOCATION`
Property constant indicating the Javadoc location associated with a VM install has changed.
`static final String`
`PROPERTY_LIBRARY_LOCATIONS`
Property constant indicating the library locations associated with a VM install have changed.
`static final String`
`PROPERTY_NAME`
Property constant indicating the name associated with a VM install has changed.
`static final String`
`PROPERTY_VM_ARGUMENTS`
Property constant indicating the VM arguments associated with a VM install has changed.

## Method Summary

Modifier and Type
Method
Description
`void`
`defaultVMInstallChanged(IVMInstall previous, IVMInstall current)`
Notification that the workspace default VM install has changed.
`void`
`vmAdded(IVMInstall vm)`
Notification that a VM has been created.
`void`
`vmChanged(PropertyChangeEvent event)`
Notification that a property of a VM install has changed.
`void`
`vmRemoved(IVMInstall vm)`
Notification that a VM has been disposed.

## Field Details

### PROPERTY_LIBRARY_LOCATIONS

static final String PROPERTY_LIBRARY_LOCATIONS
Property constant indicating the library locations associated with a VM install have changed.

### PROPERTY_NAME

static final String PROPERTY_NAME
Property constant indicating the name associated with a VM install has changed.

### PROPERTY_INSTALL_LOCATION

static final String PROPERTY_INSTALL_LOCATION
Property constant indicating the install location of a VM install has changed.

### PROPERTY_JAVADOC_LOCATION

static final String PROPERTY_JAVADOC_LOCATION
Property constant indicating the Javadoc location associated with a VM install has changed.

### PROPERTY_VM_ARGUMENTS

static final String PROPERTY_VM_ARGUMENTS
Property constant indicating the VM arguments associated with a VM install has changed.

Since:
  3.2

## Method Details

### defaultVMInstallChanged

void defaultVMInstallChanged(IVMInstall previous, IVMInstall current)
Notification that the workspace default VM install has changed.

Parameters:
  `previous` - the VM install that was previously assigned to the workspace, possibly `null`
  `current` - the VM install that is currently assigned to the workspace, possibly `null`

### vmChanged

void vmChanged(PropertyChangeEvent event)
Notification that a property of a VM install has changed.

Parameters:
  `event` - event describing the change. The VM that has changed is the source object associated with the event.

### vmAdded

void vmAdded(IVMInstall vm)
Notification that a VM has been created.

Parameters:
  `vm` - the vm that has been created

### vmRemoved

void vmRemoved(IVMInstall vm)
Notification that a VM has been disposed.

Parameters:
  `vm` - the vm that has been disposed